%define majver %(echo %version | cut -d. -f1-2)

Name:          libkleo
Version:       18.04.0
Release:       1mamba
Summary:       KDE Frameworks 5 certificates manager library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/libkleo-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 certificates manager library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
exit 0

%postun
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/libkleo.*categories
%{_kde5_libdir}/libKF5Libkleo.so.*
%dir %{_datadir}/libkleopatra
%dir %{_datadir}/libkleopatra/pics
%{_datadir}/libkleopatra/pics/*

%files devel
%defattr(-,root,root)
%{_sysconfdir}/xdg/libkleopatrarc
%dir %{_kde5_includedir}/Libkleo
%{_kde5_includedir}/Libkleo/*
%dir %{_kde5_includedir}/libkleo
%{_kde5_includedir}/libkleo/*
%{_kde5_includedir}/libkleo_version.h
%dir %{_kde5_libdir}/cmake/KF5Libkleo
%{_kde5_libdir}/cmake/KF5Libkleo/KF5Libkleo*.cmake
%{_kde5_libdir}/libKF5Libkleo.so
%{_libdir}/qt5/mkspecs/modules/qt_Libkleo.pri

%changelog
* Sun Apr 22 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Fri Mar 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Thu Jan 26 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Mon Jan 02 2017 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Sun Jun 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.04.1-1mamba
- package created using the webbuild interface
